cURL
curl --request POST \ --url https://api.caminotreasury.com/v1/wallets \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "address": "0x742d35cc6634c0532925a3b844bc454e4438f44e", "label": "Main Treasury" } '
{ "wallet": { "id": 123, "address": "0x742d35cc6634c0532925a3b844bc454e4438f44e", "label": "Main Treasury", "createdAt": "2023-11-07T05:31:56Z" } }
Registers a new wallet in the organization. The address must be a valid Ethereum address and unique within the organization.
API key for authentication. Pass your key in the x-api-key header.
x-api-key
Ethereum wallet address. Must not be the zero address.
^0x[a-fA-F0-9]{40}$
"0x742d35cc6634c0532925a3b844bc454e4438f44e"
Human-readable wallet label
1 - 100
"Main Treasury"
Wallet created successfully
Show child attributes